PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER OPERATOR CLASS

## Name

ALTER OPERATOR CLASS -- change the definition of an operator class

## Synopsis

    ALTER OPERATOR CLASS name USING index_method RENAME TO newname

## Description

`ALTER OPERATOR CLASS` changes the definition of an operator class. The only functionality is to rename the operator class.

## Parameters

name

  The name (optionally schema-qualified) of an existing operator class.

index_method

  The name of the index method this operator class is for.

newname

  The new name of the operator class.

## Compatibility

There is no `ALTER OPERATOR CLASS` statement in the SQL standard.

## See Also

CREATE OPERATOR CLASS, DROP OPERATOR CLASS

Prev | Home | Next
ALTER LANGUAGE | Up | ALTER SCHEMA